- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Class

# FFMpeg\Format\Video\Ogg

class Ogg extends DefaultVideo

The Ogg video format

## Constants

RESIZEMODE_FIT |
RESIZEMODE_INSET |

## Methods

integer | getWidth() Returns the width setting. | from DefaultVideo
integer | getHeight() Returns the height setting The return of this method should not depend on a media file size | from DefaultVideo
| setDimensions(integer $width, integer $height) Set the dimensions | from DefaultVideo
Dimension | getComputedDimensions(integer $originalWidth, integer $originalHeight) {@inheritdoc) | from DefaultVideo
| setResizeMode(string $mode) Set the resize mode | from DefaultVideo
string | getResizeMode() Get the current resize mode name | from DefaultVideo
integer | getFrameRate() Returns the frame rate | from DefaultVideo
| setFrameRate(integer $frameRate) Set the framerate | from DefaultVideo
| getVideoCodec() {@inheritdoc} | from DefaultVideo
| setVideoCodec(string $videoCodec) Set the video codec, Should be in the available ones, otherwise an exception is thrown | from DefaultVideo
| getGOPsize() {@inheritdoc} | from DefaultVideo
| setGOPsize(integer $GOPsize) Set the GOP size | from DefaultVideo
| supportBFrames() {@inheritDoc} |
| getAvailableAudioCodecs() {@inheritDoc} |
| getAvailableVideoCodecs() {@inheritDoc} |

## Details

###
in DefaultVideo at line 42
`public integer getWidth()`

Returns the width setting.

The return of this method should not depend on a media file size

#### Return Value

integer |

###
in DefaultVideo at line 53
`public integer getHeight()`

Returns the height setting The return of this method should not depend on a media file size

#### Return Value

integer |

###
in DefaultVideo at line 65
`public setDimensions(integer $width, integer $height)`

Set the dimensions

#### Parameters

integer | $width | The heigth
integer | $height | The width

#### Exceptions

InvalidArgumentException |

###
in DefaultVideo at line 83
`public Dimension getComputedDimensions(integer $originalWidth, integer $originalHeight)`

{@inheritdoc)

#### Parameters

integer | $originalWidth |
integer | $originalHeight |

#### Return Value

Dimension | A dimension

###
in DefaultVideo at line 120
`public setResizeMode(string $mode)`

Set the resize mode

#### Parameters

string | $mode | The mode, one of the self::RESIZEMODE_* constants

#### Exceptions

InvalidArgumentException |

###
in DefaultVideo at line 140
`public string getResizeMode()`

Get the current resize mode name

#### Return Value

string |

###
in DefaultVideo at line 148
`public integer getFrameRate()`

Returns the frame rate

#### Return Value

integer |

###
in DefaultVideo at line 160
`public setFrameRate(integer $frameRate)`

Set the framerate

#### Parameters

integer | $frameRate |

#### Exceptions

InvalidArgumentException |

###
in DefaultVideo at line 174
`public getVideoCodec()`

{@inheritdoc}

###
in DefaultVideo at line 186
`public setVideoCodec(string $videoCodec)`

Set the video codec, Should be in the available ones, otherwise an exception is thrown

#### Parameters

string | $videoCodec |

#### Exceptions

InvalidArgumentException |

###
in DefaultVideo at line 203
`public getGOPsize()`

{@inheritdoc}

###
in DefaultVideo at line 215
`public setGOPsize(integer $GOPsize)`

Set the GOP size

#### Parameters

integer | $GOPsize |

#### Exceptions

InvalidArgumentException |

###
at line 27
`public supportBFrames()`

{@inheritDoc}

###
at line 35
`public getAvailableAudioCodecs()`

{@inheritDoc}

###
at line 43
`public getAvailableVideoCodecs()`

{@inheritDoc}